# IRdNtClientsUpdInfo Struct Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | AddClientUpdInfo ([in] UpdInfoStruct *pUpdInfoStruct)
HRESULT | RemoveClientUpdInfo ([in] RtCSNID csnidClient)
HRESULT | GetClientUpdInfo ([in] RtCSNID csnidClient,[out, retval] UpdInfoStruct *pUpdInfoStruct)
HRESULT | GetNumClients ([out, retval] RtDWORD *pdwNumClients)
HRESULT | GetClientUpdInfoByIndex ([in] RtDWORD dwIndex,[out, retval] UpdInfoStruct *pUpdInfoStruct)

## Detailed Description

IRdNtClientsUpdInfo

Data object store simple client status changes.
The data is send from server to clients.
On client you can find this data object on client's node in ClntsStat (CON_NETWORK_NT_CLNTS_INFO_I) attribute.
Server stores this object in UpdInfo (CON_NETWORK_NTSRV_LOGGED_IN_UPD_I) attribute. RnNtClient, RnNtServer

## Member Function Documentation

HRESULT IRdNtClientsUpdInfo::Clear | ( | void |  | ) |

Call to clear this data object.

HRESULT IRdNtClientsUpdInfo::AddClientUpdInfo | ( | [in] UpdInfoStruct * | pUpdInfoStruct | ) |

Add client update info to list. If it already exists, the old one will be replaced.

Parameters:

  | pUpdInfoStruct | [in] Pointer to Client's update info class.

Returns:
  S_OK - if the client was added.

  S_FALSE - if only client's info was updated.

  other err-code.

HRESULT IRdNtClientsUpdInfo::RemoveClientUpdInfo | ( | [in] RtCSNID | csnidClient | ) |

Remove client's update info.

Parameters:

  | csnidClient | [in] ID of the client.

Returns:
  S_OK - if found and removed. S_FALSE - if not found.

HRESULT IRdNtClientsUpdInfo::GetClientUpdInfo | ( | [in] RtCSNID | csnidClient,
|  | [out, retval] UpdInfoStruct * | pUpdInfoStruct |
| ) |  |  |

Access client's update info by ID.

Parameters:

  | csnidClient | [in] ID of the client.

Returns:
  pUpdInfoStruct [out, retval] Pointer to Client's update info data object (can be null).

  S_OK - if found. S_FALSE - if not found.

HRESULT IRdNtClientsUpdInfo::GetNumClients | ( | [out, retval] RtDWORD * | pdwNumClients | ) |

Return number of clients.

Returns:
  pdwNumClients [out, retval] Number of clients.

HRESULT IRdNtClientsUpdInfo::GetClientUpdInfoByIndex | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] UpdInfoStruct * | pUpdInfoStruct |
| ) |  |  |

Get client update info by index.

Parameters:

  | dwIndex | [in] Client's index (max. is GetNumClients).

Returns:
  pUpdInfoStruct [out, retval] Pointer to Client's update info structure.

  S_OK - if client's info returned.